This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 18804 - static routes not coming in correctly - linuxconf generated
static routes not coming in correctly - linuxconf generated
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-10 09:07 EDT by Rudi Heitbaum
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-10 09:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rudi Heitbaum 2000-10-10 09:07:04 EDT
The static routes file generated from linuxconf creates the following
failure "No such device"
when changing the routing table.

# /etc/rc.d/init.d/network restart

Shutting down interface eth0:                              [  OK  ]
Shutting down interface eth1:                              [  OK  ]
Setting network parameters:                                [  OK  ]
Bringing up interface lo:                                  [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Bringing up interface eth1:                                [  OK  ]
SIOCADDRT: No such device

# rpm -q -a | grep initscripts
initscripts-5.49-1

#more /etc/sysconfig/static-routes 
any net 203.22.26.0 netmask 255.255.255.192 gw 192.168.0.1
Comment 1 Nalin Dahyabhai 2000-10-10 11:52:25 EDT
The ifup-routes script in initscripts doesn't know how to handle the "gw"
parameter on the line in your configuration file.  This is being fixed in CVS
for initscripts-5.50.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.